# -*- coding: UTF-8 -*-
import autopath
from permission import InitPermissions
from os.path import join, dirname
from sets import Set

data= join(dirname(__file__), 'data')

def setup_module(module):
    module.permissions = InitPermissions(join(data, 'baseperm.ini'))

def test_profile_obj():
    profiles = permissions.get_profiles()
    adm = Set(('google', 'cartable'))
    for prof_name, prof in profiles.items():
        if prof_name == 'admin':
            l = []
            for pr in prof.get_rules():
                for thumb in pr.thumbs:
                    l.append(thumb.name)
            th_names = Set(l)
            assert th_names == adm

def test_baseprofiles():
    """Test des baseprofiles recursif"""
    profile1 = permissions.get_profiles()['profile1']
    l = []
    for pr in profile1.get_rules():
        for thumb in pr.thumbs:
            l.append(thumb.name)
    th_names = Set(l)
    assert Set(l) == Set(['cartable', 'google'])
