#-*-coding:utf-8-*-
import autopath
from os.path import join, dirname
from sets import Set
import permission
from profile import User

data= join(dirname(__file__), 'data')

def setup_module(module):
    permission.PERMS = permission.perm_manager(join(data, 'baseperm.ini'))
    module.perms = permission.PERMS
    module.usercontext = permission.UserContext(join(data, 'profiler.ini'))
    module.user_datas = {'infos': {'uid': ['anna.verkerk'],
                              'typeadmin': ['2'],
                              'user_groups': ['professeurs',
                                            'profs-5e1',
                                            'profs-5e2',
                                            'profs-5e3',
                                            'profs-3e1',
                                            'maths',
                                            'idaut',
                                            'domainusers',
                                            'groupe-test',
                                            'gr-testtime'],
                              'user': ['anna.verkerk'],
                              'homedirectory': ['/home/a/anna.verkerk'],
                              'cn': ['ANNA CATHA VERKERK']}
                     }
    module.username = 'anna.verkerk'

def test_connect():
    user = usercontext.connect_user(username, user_datas['infos'])
    assert 'user' not in  [profile.name for profile in user.profiles]
    assert 'admin' in  [profile.name for profile in user.profiles]

def test_authorized():
    """test de l'autorisation d'un utilisateur
    """
    user = User("toto", {'description': "essai d'utilisateur"})
    user.add_profile(usercontext.profiles["admin"])
    assert usercontext.is_allowed(user, "goegle") == False
    assert usercontext.is_allowed(user, "google") == True
    assert usercontext.is_allowed(user, "cartable") == True
    assert usercontext.is_allowed_desktop(user, 'desktop_mail') == True
    assert usercontext.is_allowed_desktop(user, 'desktop_gibii') == False

def test_user_thumbs():
    # notre user est de type user
    user = usercontext.connect_user(username, user_datas['infos'])
    assert Set([thumb.name for thumb in usercontext.get_thumbs(user)]) == Set(['google', 'cartable'])
